<?php
/**
 * ElasticOfferTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CatalogCacheClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Catalog Cache
 *
 * Ensi Catalog Cache
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\CatalogCacheClient;

use PHPUnit\Framework\TestCase;

/**
 * ElasticOfferTest Class Doc Comment
 *
 * @category    Class
 * @description ElasticOffer
 * @package     Ensi\CatalogCacheClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class ElasticOfferTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "ElasticOffer"
     */
    public function testElasticOffer()
    {
    }

    /**
     * Test attribute "id"
     */
    public function testPropertyId()
    {
    }

    /**
     * Test attribute "product_id"
     */
    public function testPropertyProductId()
    {
    }

    /**
     * Test attribute "allow_publish"
     */
    public function testPropertyAllowPublish()
    {
    }

    /**
     * Test attribute "main_image_file"
     */
    public function testPropertyMainImageFile()
    {
    }

    /**
     * Test attribute "category_ids"
     */
    public function testPropertyCategoryIds()
    {
    }

    /**
     * Test attribute "brand_id"
     */
    public function testPropertyBrandId()
    {
    }

    /**
     * Test attribute "name"
     */
    public function testPropertyName()
    {
    }

    /**
     * Test attribute "code"
     */
    public function testPropertyCode()
    {
    }

    /**
     * Test attribute "description"
     */
    public function testPropertyDescription()
    {
    }

    /**
     * Test attribute "type"
     */
    public function testPropertyType()
    {
    }

    /**
     * Test attribute "vendor_code"
     */
    public function testPropertyVendorCode()
    {
    }

    /**
     * Test attribute "barcode"
     */
    public function testPropertyBarcode()
    {
    }

    /**
     * Test attribute "weight"
     */
    public function testPropertyWeight()
    {
    }

    /**
     * Test attribute "weight_gross"
     */
    public function testPropertyWeightGross()
    {
    }

    /**
     * Test attribute "width"
     */
    public function testPropertyWidth()
    {
    }

    /**
     * Test attribute "height"
     */
    public function testPropertyHeight()
    {
    }

    /**
     * Test attribute "length"
     */
    public function testPropertyLength()
    {
    }

    /**
     * Test attribute "is_adult"
     */
    public function testPropertyIsAdult()
    {
    }

    /**
     * Test attribute "uom"
     */
    public function testPropertyUom()
    {
    }

    /**
     * Test attribute "tariffing_volume"
     */
    public function testPropertyTariffingVolume()
    {
    }

    /**
     * Test attribute "order_step"
     */
    public function testPropertyOrderStep()
    {
    }

    /**
     * Test attribute "order_minvol"
     */
    public function testPropertyOrderMinvol()
    {
    }

    /**
     * Test attribute "price"
     */
    public function testPropertyPrice()
    {
    }

    /**
     * Test attribute "cost"
     */
    public function testPropertyCost()
    {
    }

    /**
     * Test attribute "gluing_name"
     */
    public function testPropertyGluingName()
    {
    }

    /**
     * Test attribute "gluing_is_main"
     */
    public function testPropertyGluingIsMain()
    {
    }

    /**
     * Test attribute "gluing_is_active"
     */
    public function testPropertyGluingIsActive()
    {
    }

    /**
     * Test attribute "discount"
     */
    public function testPropertyDiscount()
    {
    }

    /**
     * Test attribute "brand"
     */
    public function testPropertyBrand()
    {
    }

    /**
     * Test attribute "categories"
     */
    public function testPropertyCategories()
    {
    }

    /**
     * Test attribute "images"
     */
    public function testPropertyImages()
    {
    }

    /**
     * Test attribute "attributes"
     */
    public function testPropertyAttributes()
    {
    }

    /**
     * Test attribute "gluing"
     */
    public function testPropertyGluing()
    {
    }

    /**
     * Test attribute "nameplates"
     */
    public function testPropertyNameplates()
    {
    }
}
